import { CommonModule } from '@angular/common';

<div>
  <h1>Welcome to My RPG Game</h1>
  <p>Name: {{ gameService.hero.name }}</p>
  <p>Level: {{ gameService.hero.level }}</p>
  <p>Experience: {{ gameService.hero.experience }}</p>
  <p>Health: {{ gameService.hero.health }}</p>
  <p>Strength: {{ gameService.hero.strength }}</p>
  <p>Magic: {{ gameService.hero.magic }}</p>
  <p>Gold: {{ gameService.hero.gold }}</p>
  <h2>Inventory</h2>
  <ul>
    <li *ngFor="let item of gameService.hero.inventory">{{ item }}</li>
  </ul>

  <h2>Skills</h2>
  <ul>
    <li *ngFor="let skill of gameService.hero.skills">{{ skill }}</li>
  </ul>
  <h2>Shop</h2>
  <h3>Items</h3>
  <ul>
    <li *ngFor="let item of items">
      {{ item.name }} - {{ item.price }} Gold
      <button (click)="gameService.buyItem(item)">Buy</button>
    </li>
  </ul>
  <h3>Skills</h3>
  <ul>
    <li *ngFor="let skill of skills">
      {{ skill.name }} - {{ skill.price }} Gold
      <button (click)="gameService.buySkill(skill)">Buy</button>
    </li>
  </ul>
  <h2>Actions</h2>
  <button (click)="gameService.usePotion()">Use Health Potion</button>
</div>
